webdevqa.jp.net

EclipseでGradleプロジェクトをインポート中にピアが認証されません

Eclipseでgradleプロジェクトをインポートしているときに、このエラーが発生しています。

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project 'test'.
> Could not resolve all dependencies for configuration ':classpath'.
   > Could not resolve de.richsource.gradle.plugins:gwt-gradle-plugin:0.3.
     Required by:
         :test:unspecified
      > Could not GET 'https://github.com/steffenschaefer/gwt-gradle-plugin/raw/maven-repo/de/richsource/gradle/plugins/gwt-gradle-plugin/0.3/gwt-gradle-plugin-0.3.pom'.
         > peer not authenticated

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

プロキシ接続経由でインターネットを使用しています。それが問題の場合、Eclipse内でプロキシ設定を指定する場所。 [全般]-> [ネットワーク接続]には、プロキシ設定が既にあります

助けてください。

49
MrTambourineMan

このような他のエラーが発生した場合:

 Could not GET 'https://some_server.com/some/path/some.pom'.
     > peer not authenticated

次に、証明書をインポートする必要があります。

keytool -import -alias <the short name of the server> -file <cert_file_name_you_exported.cer> -keystore cacerts -storepass changeit

証明書をインポートするよう求められ、yesと入力してEnterキーを押します。

次に、Eclipseを再起動して、プロジェクトのビルドを試みます。

64
dev2d

ANSWER#2:2つのネガティブマーキングの後に正しい修正を提供する

この変更をトップレベルに加えます build.gradle ファイル。

// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    repositories {
        //jcenter()
        jcenter {
            url "http://jcenter.bintray.com/"  <=THIS IS THE LINE THAT MAKES THE DIFFERENCE
        }
    }
}

allprojects {
    repositories {
        //jcenter()
        jcenter {
            url "http://jcenter.bintray.com/" <=THIS IS THE LINE THAT MAKES THE DIFFERENCE
        }
    }
}

ANSWER#1(これは受け入れられませんが、これを保持したいと思います)

「peer not authenticated errors」が表示された場合、それは必ずしもアプリケーションが有効な証明書を保持していないことを意味するわけではありません。 Administator特権を持つアプリケーション。

Windowsの場合:

  • 管理者権限を持っていることを確認してください。
  • アプリケーションアイコンを右クリック->「管理者として実行」を選択

Linuxの場合:

  • ルートアクセス権があることを確認します。
  • タイプSudo "app execution script name"
19
Devendra Vaja

Build.gradleでリポジトリを次のように変更します

repositories {
    maven  {
        url "http://repo1.maven.org/maven2"
    }
}
13
Shiva Kumar SS

上記の回答で提案されているように証明書をインポートした後、gradle.propertiesファイルを編集し、次の行を挿入します(プロキシ設定を考慮して):

HTTPS:

systemProp.https.proxyHost=www.somehost.org
systemProp.https.proxyPort=8080

HTTP:

systemProp.http.proxyHost=www.somehost.org
systemProp.http.proxyPort=8080
6
xYan

Java7からJava8にアップグレードすると、私にとってはうまくいきました。

3
tenser

リポジトリを変更してcerをJavaにインポートしようとしましたが、両方とも失敗し、jdkバージョンを1.8.0_66から1.8.0_74にアップグレードし、gradleビルドは成功しました。

1
Honsen

このエラーが発生し、VPNプロキシの問題が原因で発生していました。 VPNクライアントを無効にすると、すべてが正常に機能しました。このコマンドを使用しました(Mac):

Sudo /opt/Cisco/anyconnect/bin/acwebsecagent -disablesvc -websecurity

0
Brod

Android studio 1.51 with Linux(Ubuntu 14.04 LTS)を使用していますが、同じエラーメッセージが表示されます:

Error:A problem occurred configuring project ':app'.
> Could not resolve all dependencies for configuration ':app:_debugCompile'.
   > Could not resolve com.github.PhilJay:MPAndroidChart:v2.1.6.
     Required by:
         dbtraining-dbtrainingandroidapp-517de26197d8:app:unspecified
      > Could not resolve com.github.PhilJay:MPAndroidChart:v2.1.6.
         > Could not get resource 'https://jitpack.io/com/github/PhilJay/MPAndroidChart/v2.1.6/MPAndroidChart-v2.1.6.pom'.
            > Could not GET 'https://jitpack.io/com/github/PhilJay/MPAndroidChart/v2.1.6/MPAndroidChart-v2.1.6.pom'.
               > peer not authenticated

maven { url "https://jitpack.io" }を移動して、httpsではなくhttpに設定し、「信頼されていない証明書を自動的に受け入れる」を有効にし、SSL証明書を手動で追加しようとしましたが、まだうまくいきません。

解決策は、OpenJDK 7からOracle JDK 8に切り替えることでした。

  1. OracleからJDKのファイルをダウンロードし、tarballを取得しました
    (jdk-8u101-linux-x64.tar.gz)- http://www.Oracle.com/technetwork/Java/javase/downloads/jdk8-downloads-2133151.html =
  2. ファイルを抽出します。フォルダー名はjdk1.8.0_101です
  3. ディレクトリ/opt/(nautilusホットキー:CTRL + L)に切り替えて、新しいフォルダー「Oracle_Java」を作成します。これにはルートアクセスが必要な場合があるため、Sudo nautilusを使用してterimalからnautilusを開きます。
  4. フォルダーjdk1.8.0_101/opt/Oracle_Javaにコピーします https://wiki.ubuntuusers.de/Java/Installation/Oracle_Java/Java_8/#Java-8-JDK の指示に従います。パスのバージョンプレースホルダーをバージョンに置き換えることを忘れないでください
Sudo update-alternatives --install "/usr/bin/Java" "Java" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/Java" 1
Sudo update-alternatives --install "/usr/bin/javac" "javac" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/javac" 1
Sudo update-alternatives --install "/usr/bin/javaws" "javaws" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/javaws" 1
Sudo update-alternatives --install "/usr/bin/jar" "jar" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/jar" 1 

Sudo update-alternatives --set "Java" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/Java"
Sudo update-alternatives --set "javac" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/javac"
Sudo update-alternatives --set "javaws" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/javaws"
Sudo update-alternatives --set "jar" "/opt/Oracle_Java/jdk1.8.0_VERSION/bin/jar"
  1. インストールが成功した場合は、コマンドJava -versionを使用して端末をチェックインできます。
  2. Android studioに戻り、ホットキーCTRL + SHIFT + ALT + Sを押してproject structureウィンドウを開き、SDK Locationに移動します。ここでパスを設定できますJDKへ、たとえば/opt/Oracle_Java/jdk1.8.0_101

Change JDK version/path in Android studio

それでおしまい! :)

0
Stefan Brendle

Gradleの最新バージョンにアップグレードすると、これが修正されました。

  1. gradle-wrapper.propertiesdistributionUrlを更新して、最新バージョンを使用します。
  2. build.gradlegradleVersionを更新して、そのバージョンに一致させます。
0
Calahad

エラーを取り除くためにjcenterとmavenの順序を変更しなければならない奇妙なケースがありました

動作していません

allprojects {
repositories {
    jcenter()
    maven {
        url "https://maven.google.com"
    }
    maven { url "https://jitpack.io" }

    }
}

作業中

allprojects {
repositories {
    maven {
        url "https://maven.google.com"
    }
    jcenter()
    maven { url "https://jitpack.io" }

    }
}
0